Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class AABBPool

    java.lang.Object
      net.minecraft.src.AABBPool

    public class AABBPool

extends Object

Constructor Summary
`AABBPool(int par1, int par2)`

Method Summary
`AxisAlignedBB` | `addOrModifyAABBInPool(double par1, double par3, double par5, double par7, double par9, double par11)` Adds a AABB to the pool, or if there is an available AABB, updates an existing AABB entry to specified coordinates
`void` | `cleanPool()` Marks the pool as "empty", starting over when adding new entries.
`void` | `clearPool()`
`int` | `func_83012_d()`
`int` | `func_83013_c()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AABBPool

    public AABBPool(int par1,
                    int par2)

Method Detail

### addOrModifyAABBInPool

    public AxisAlignedBB addOrModifyAABBInPool(double par1,
                                               double par3,
                                               double par5,
                                               double par7,
                                               double par9,
                                               double par11)

  Adds a AABB to the pool, or if there is an available AABB, updates an existing AABB entry to specified coordinates

### cleanPool

    public void cleanPool()

  Marks the pool as "empty", starting over when adding new entries. If this is called maxNumCleans times, the list size is reduced

### clearPool

    public void clearPool()

### func_83013_c

    public int func_83013_c()

### func_83012_d

    public int func_83012_d()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD